# Pusher API

This module connects Drupal and [Pusher](https://pusher.com/) to add
realtime data.

For now this module adds the option to trigger events in Pusher on
node events. Think of node creation, updating and deleting.

For a full description of the module, visit the
[project page](https://www.drupal.org/project/pusher_api).

Submit bug reports and feature suggestions, or track changes in the
[issue queue](https://www.drupal.org/project/issues/pusher_api).


## Table of contents

- Requirements
- Installation
- Configuration
- Maintainers


## Requirements

This module requires no modules outside of Drupal core.


## Installation

Install as you would normally install a contributed Drupal module. For further
information, see
[Installing Drupal Modules](https://www.drupal.org/docs/extending-drupal/installing-drupal-modules).


## Configuration

1. Go to www.pusher.com and create a new app.
2. Find you app keys and add them to the settings.php
   ```
    // Pusher API settings.
    $settings['pusher_api']['api_settings']['app_id'] = 'app_id';
    $settings['pusher_api']['api_settings']['key'] = 'key';
    $settings['pusher_api']['api_settings']['secret'] = 'secret';
    $settings['pusher_api']['api_settings']['cluster'] = 'cluster';
    ```
3. Navigate to Administration > Extend and enable the module.
4. Navigate to Administration > Configuration > Webservices >
   Pusher API for configurations. Save Configurations.

**Configurable parameters:**

- Default channel name
- Send triggers to Pusher for node events (creation, updating and deleting of nodes)

**Hooks**

This modules implements some custom hooks. You can find them in pusher_api.api.php


## Maintainers

- Fabian de Rijk - [fabianderijk](https://www.drupal.org/u/fabianderijk)

**Supporting organization:**

- [Finalist](https://www.drupal.org/finalist)
