<?php

namespace Drupal\pusher_api\Event;

use Drupal\Component\EventDispatcher\Event;
use Drupal\Core\Entity\EntityInterface;

class PusherApiNodeEvent extends Event {

  const PUSHER_API_NODE_INSERT = 'pusher_api.node.insert';
  const PUSHER_API_NODE_UPDATE = 'pusher_api.node.update';
  const PUSHER_API_NODE_DELETE = 'pusher_api.node.delete';

  /**
   * Node entity.
   *
   * @var \Drupal\Core\Entity\EntityInterface
   */
  protected $entity;

  /**
   * Constructs a node insertion pusher api event object.
   *
   * @param \Drupal\Core\Entity\EntityInterface $entity
   */
  public function __construct(EntityInterface $entity) {
    $this->entity = $entity;
  }

  /**
   * Get the inserted entity.
   *
   * @return \Drupal\Core\Entity\EntityInterface
   */
  public function getEntity() {
    return $this->entity;
  }

}